#
# spec file for package ethereal (Version 0.8.19)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel libpcap openssl openssl-devel python ucdsnmp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libpcap libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps python rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone ucdsnmp unzip util-linux vim xdevel xf86 xshared

Name:         ethereal
Copyright:    GPL
Group:        X11/Applications/Networking
Autoreqprov:  on
Summary:      A graphical network traffic analyser
Version:      0.8.19
Release:      63
Url:          http://ethereal.zing.org/
Source:       ethereal-%{version}.tar.bz2
Patch:        ethereal-%{version}.dif
Patch1:        ethereal-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
ethereal is a network traffic analyzer for Unix and
Unix-like operating systems.
It is based on GTK+, a graphical user interface library,
and libpcap, a packet capture and filtering library.
It is more or less a graphical version of tcpdump.

Authors:
--------
    Gerald Combs <gerald@zing.org>
    Gilbert Ramirez <gram@verdict.uthscsa.edu>

SuSE series: n

%prep
%setup
%patch
%ifarch ia64
%patch1
%endif

%build
%{suse_update_config -f}
for i in epan wiretap .
do
   (cd $i
    libtoolize --force
    aclocal
    automake --gnu Makefile
    autoconf)
done
CFLAGS="$RPM_OPT_FLAGS" ./configure \
            --prefix=/usr/X11R6 \
            --sysconfdir=/etc \
            --mandir=%{_mandir} \
            --enable-ipv6 \
            --with-ssl=/usr \
            --with-ucdsnmp=/usr/share/snmp
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1/
install *.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README* TODO doc
%doc %{_mandir}/man1/*
/usr/X11R6/bin/*
/usr/X11R6/lib/ethereal
/etc/manuf

%changelog -n ethereal
* Wed Jul 25 2001 - cihlar@suse.cz
- update to version 0.8.19
* Fri Jun 15 2001 - cihlar@suse.cz
- added openssl, openssl-devel to neededforbuild
- run confugure with --with-ssl=/usr
- link against libcrypto (libsnmp needs it)
- fixed to compile with ipv6 support
* Fri Jun 08 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Tue Apr 24 2001 - cihlar@suse.cz
- fixed warnings on ia64
* Tue Mar 20 2001 - cihlar@suse.cz
- upgrade to version 0.8.16
* Tue Mar 06 2001 - cihlar@suse.cz
- upgrade to version 0.8.15
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Tue Oct 31 2000 - cihlar@suse.cz
- upgrade to version 0.8.13
- bzipped sources
* Thu Aug 03 2000 - cihlar@suse.cz
- upgrade to version 0.8.11
* Mon Jun 12 2000 - cihlar@suse.cz
- upgrade to version 0.8.9
* Wed May 10 2000 - cihlar@suse.cz
- upgrade to version 0.8.8
* Thu Apr 13 2000 - cihlar@suse.cz
- upgrade to version 0.8.6
- added BuildRoot
* Mon Apr 10 2000 - bk@suse.de
- added suse update config macro
* Wed Mar 01 2000 - choeger@suse.de
- new version, 0.8.3
* Wed Jan 19 2000 - choeger@suse.de
- new version, 0.8.1
* Thu Nov 25 1999 - choeger@suse.de
- new version, 0.7.8
* Thu Oct 28 1999 - choeger@suse.de
-  new version, 0.7.7
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 01 1999 - choeger@suse.de
- new version
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Jul 12 1999 - ro@suse.de
- libpcap is an extra package now
* Thu Jul 08 1999 - choeger@suse.de
- new version, v0.6.3
* Tue Jun 01 1999 - ro@suse.de
- fixed: X11 -> X11R6
* Wed May 26 1999 - choeger@suse.de
- new package v0.6.2
